//------------------------------------------------------------------------------
// OVERRIDE MENDELEEV.CSS ELEMENTS
//------------------------------------------------------------------------------
// In the future, Mendeleev should support this kind of personalization and this
// module will go away.

.container-1, .container-2, .container-3, .container-4 {
    padding: 0;
    text-align: center;
}

.board-container {
    padding: 0 6rem;
    max-width: 80%;
    @media only screen and (max-width: 667px) {
        padding: 0 1.5rem 1rem;
        max-width: unset;
    }
}

.board-create{
    p, label{
        text-align: left;
    }
    form{
        max-width: none !important;
    }
    label{
        text-indent: 0;
    }
    ul{
        max-width: 30rem;
    }
    input, textarea{
        border-radius: 8px;
    }
    #id_image{
        border-radius: 8px;
        border: 2px solid $color-primary-dark;
    }

}

.form-container {
    width: 100%;

    label {
        text-align: left;
    }

    form {
        max-width: 30rem;
        width: 100%;
        margin: auto;
        color: $color-low-pure;
        padding: 10px;
    }
    input{
        border: 1px solid $color-low-pure;
        border-radius: 8px;
    }
    label:first-letter {
        text-transform: uppercase;
    }
    
    button, input[type="button"], input[type="reset"], input[type="submit"]{
        color: $color-low-pure;
    }

    .width-full {
        font-family: "Copperplate Gothic";
        font-weight: 500;
    }

    .button{
        font-family: "Copperplate Gothic";
        border-radius: 8px;
    }

    .h2{
        font-family: "Britanic";
        font-weight: 400;
        font-size: 40px;
        color: $color-primary-dark;
    }

    .account{
        a{
            color: $color-primary-dark;
        }
        
    }
}

.form-container.is-wide {
    max-width: 60rem;
}

.form-narrow {
    width: 21rem;
    margin: 0 auto;
}

label {
    @extend .text-6;
    color: color('action');
    color: $color-low-pure;
    text-indent: 0;
    text-transform: lowercase;
}

legend {
    margin-left: size(1);
    margin-right: size(1);
    text-align: center;
    opacity: 0.75;
}

html {
    background-color: color('white');
}

a.button {
    &:hover, &:focus, &:active {
        @include utilities('shadow-1');
        @include color('action');
    }
}

a.button.is-primary {
    &:hover, &:focus, &:active {
        @include color('accent');
    }
}

// Neat trick from https://accessible360.com/accessible360-blog/use-aria-label-screen-reader-text/
.screen-reader {
    clip: rect(1px, 1px, 1px, 1px);
    clip-path: polygon(0px 0px, 0px 0px, 0px 0px);
    height: 1px;
    overflow: hidden !important;
    position: absolute;
    width: 1px;
    z-index: -1000;
}
